Cyberduck Mountain Duck CLI

#3113 closed defect (worksforme)

No available certificate or key responds to the SSL cipher suites which are enabled

Reported by: bryan_smith@… Owned by: dkocher
Priority: normal Milestone:
Component: ftp-tls Version: 3.1.2
Severity: normal Keywords: AUTH TLS
Cc: Architecture:
Platform:

Description (last modified by dkocher)

Connecting to server that is running VSFTPD which requires AUTH TLS (explicit FTP over encrypted SSL).

Able to connect without issue, however, when I go to upload or download a file on the server, get the error I/O Error: Download Failed.

No available certificate or key responds     to the SSL cipher suites which are enabled.

We are trying to do this with ACTIVE transfers.

Tried re-opening ticket #2553 once, however, the status never change (closed - - works for me).

Numerous MS Windows suites (FileZilla, CoreFTP, GoFTP) are able to connect to this same server without issue. Only CyberDuck on our Mac clients is what produces this error.

Mac version is 10.4.11.

Please contact me for host, port, and authentication credentials so you can test.

The VSFTPD server requires SSL encrypted logins and data transfers and does support TLSV1, SSLV2, SSLV3.

Change History (5)

comment:1 Changed on Apr 14, 2009 at 8:30:40 PM by dkocher

  • Component changed from core to ftp-tls
  • Summary changed from Same as #2553 which I tried to re-open - - No avail certificate or key corresponds to the SSL cipher suites which are enabled to No available certificate or key responds to the SSL cipher suites which are enabled

comment:2 Changed on Apr 14, 2009 at 8:32:59 PM by dkocher

  • Description modified (diff)

comment:3 Changed on Apr 14, 2009 at 9:10:19 PM by dkocher

I do get the expected warning about the root certificate that is not trusted but cannot replicate the actual issue of this ticket running on 10.5. Will try on a 10.4 installation later.

comment:4 Changed on Apr 17, 2009 at 9:53:50 AM by dkocher

I cannot see this issue here on 10.4 neither.

comment:5 Changed on Nov 14, 2009 at 1:47:23 PM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

I cannot replicate this in version 3.3. Please reopen if this is still an issue for you.

Note: See TracTickets for help on using tickets.
swiss made software